Subject: [PATCH RFC 0/4] Scheduler idle notifiers and users

From: [email-masked] (Peter Zijlstra)
Date: Sat, 11 Feb 2012 15:53:03 +0100

On Sat, 2012-02-11 at 14:39 +0000, Mark Brown wrote:
> 
> For step downs this isn't such a big deal as we don't often care if the
> voltage drops immediately but for step ups it's critical as if the
> voltage hasn't ramped before the CPU tries to run at the higher
> frequency the CPU will brown out. 

Why isn't all this done by micro-controllers, software writes a desired
state in some machine register (fast), micro-controller sets about
making it so in an asynchronous way. If it finds the settings have
changed by the time it reached its former goal, goto 1.

Having to actually wait for this in software is quite ridiculous.